Bug 502477

Summary: Review Request: arista - Easy to use multimedia transcoder for the GNOME Desktop
Product: [Fedora] Fedora Reporter: Rahul Sundaram <sundaram>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: bnocera, cbm, comcast.really.sucks, cwickert, eric.tanguy, fedora-package-review, fkooman, fschwarz, hicham.haouari, jwalden+brc, kevin, marcin.wolyniak, maxx, metherid, michael.monreal+bugs, mike, notting, palango, perja, smohan, valent.turkovic
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-06-29 18:17:45 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 201449    
Description Flags
Patch for getting gettext to work
Disabling updates
Patch for RPM spec for 0.9.7 release
ugly hacks to get 0.9.6 building with Fedora 15 none

Description Rahul Sundaram 2009-05-25 08:38:32 EDT
Spec URL: http://sundaram.fedorapeople.org/packages/arista.spec
SRPM URL: http://sundaram.fedorapeople.org/packages/arista-0.9.1-1.src.rpm
A simple multimedia transcoder for the GNOME Desktop. Arista focuses on being
easy to use by making the complex task of encoding for various devices simple. 
Pick your input, pick your target device, choose a file to save to and go. 
Features include automatic discovery of DVD media and V4L devices, ripping 
from DVD, V4L devices, or files, a live quality preview, and included presets
for the most popular devices currently in use.
Comment 1 Bastien Nocera 2009-05-27 07:44:23 EDT
I had a package ready to go, but waiting on a few blocker bugs being fixed upstream, so here's my comments based on my version of the spec:
- Use %{__python} not python
- From what I gathered, loads of missing Requires:
Requires:       dbus-python
Requires:       pycairo
Requires:       pygtk2
Requires:       gstreamer-python
Requires:       gstreamer-plugins-good gstreamer-plugins-base
- I'd remove "Simple" from the descriptions, and say "easy-to-use" instead. Simple implies "not featureful".
Comment 2 Rahul Sundaram 2009-05-27 08:15:09 EDT
oops, I had deleted the Requires. Added back, added disttag. Changed python to macro and replace simple with easy to use. Added desktop-file-validate as well. Take a look

Comment 3 Fran├žois Kooman 2009-05-31 11:13:20 EDT

[fkooman@localhost ~]$ arista-gtk 
Traceback (most recent call last):
  File "/usr/bin/arista-gtk", line 1244, in <module>
  File "/usr/lib/python2.6/site-packages/arista/utils.py", line 75, in get_path
    "path": path,
IOError: Can't find locale in any known prefix!
[fkooman@localhost ~]$ 

Maybe a dependency missing?
Comment 4 Michal Nowak 2009-06-01 06:19:32 EDT
Dunno the code logic but ripping out:

        raise IOError(_("Can't find %(path)s in any known prefix!") % {
            "path": path,

from /usr/lib/python2.6/site-packages/arista/utils.py makes you start the app at least.
Comment 5 Michal Nowak 2009-06-02 05:32:06 EDT
Just a note: for Fedora, the Automatic updates should be turned off by default.
Comment 6 Marcin 2009-06-17 09:29:40 EDT
(In reply to comment #3)
> arista-0.9.1-2.fc11.noarch
> [fkooman@localhost ~]$ arista-gtk 
> Traceback (most recent call last):
>   File "/usr/bin/arista-gtk", line 1244, in <module>
>     arista.utils.get_path("locale"))
>   File "/usr/lib/python2.6/site-packages/arista/utils.py", line 75, in get_path
>     "path": path,
> IOError: Can't find locale in any known prefix!
> [fkooman@localhost ~]$ 
> Maybe a dependency missing?  

Missing locale subdir from sources in /usr/share/arista
Comment 7 Christoph Wickert 2009-07-18 09:11:33 EDT
BTW: 0.9.3 is out.
Comment 8 Rahul Sundaram 2009-07-18 09:55:43 EDT
Yes, I am aware since it was done to address some of the problems I reported to the upstream developer. Requires more testing to confirm whether it has been fixed.
Comment 9 Rahul Sundaram 2009-08-16 15:40:11 EDT
I found the locale issue has not been fixed yet with the latest release, informed upstream and haven't heard back. Will update when I do.
Comment 10 Per Thomas Jahr 2009-10-28 04:17:58 EDT
Any chance of getting this package in for Fedora 12?
Comment 11 Michal Nowak 2009-10-29 06:39:17 EDT
(In reply to comment #10)
There's always a chance... if you do the review :).
Comment 12 Thomas Spura 2009-10-30 12:26:45 EDT
Created attachment 366823 [details]
Patch for getting gettext to work

This patch installs gettext properly into this application and locales are found.
Comment 13 Thomas Spura 2009-10-30 12:28:26 EDT
Created attachment 366825 [details]
Disabling updates

This patch disables *badly* the updates system. It is still possible to go to the preferences and click on 'disable updates and so on, but in the background nothing happens.

This is at least a good starting point ;)
Comment 14 Hicham HAOUARI 2010-01-03 19:09:43 EST
Disabling the updates is straightforward, we just need to patch the prefs.ui file and arista-gtk file. The main concern is installing the locales files, the only way that i know is by importing some distutils extensions, if there is a better way, we should get it done and upstreamed.

So, should we use python-distutils-extra ?
Comment 15 Hicham HAOUARI 2010-01-04 11:20:29 EST
I think that this package should rather go to rpmfusion since it requires non free gstreamer plugins.

it asks for faac plugin when adding anything to the file queue

should we patch even more to skip that checking ?

the choice is yours

and btw, the faac plugin is broken in rpmfusion

any thoughts ?
Comment 16 Per Thomas Jahr 2010-05-23 03:17:39 EDT
I could be wrong, but it seems to me that it only asks for the faac gstreamer element when that is required by the device preset (f.ex. the preset "Google Android"). 

I think it would be great to have this package in the Fedora repository and especially now that we have WebM.

And btw: to get faac plugin you will have to install the gstreamer-plugins-bad-nonfree from rpmfusion.
Comment 17 Michael Monreal 2010-08-20 03:46:31 EDT
Has anyone investigated the FAAC issue? If this is a hard requirement, let's just close this here and get the package into rpmfusion. If it is only loaded if available, let's try to get the package in F14.

Also note that there is a new webpage now (http://www.transcoder.org/) as well as a few new releases... the latest is 0.9.5 now.
Comment 18 Jason Tibbitts 2010-11-03 09:51:04 EDT
There's been some discussion but no comment from the submitter in over 14 months now.  I'll close this soon if nothing further happens.
Comment 19 Jason Tibbitts 2010-11-03 09:55:44 EDT
Also, the package fails to build in rawhide:

Processing files: arista-0.9.1-2.fc15.noarch
error: File not found: /builddir/build/BUILDROOT/arista-0.9.1-2.fc15.x86_64/usr/lib/python2.7/site-packages/arista-0.9.1-py2.6.egg-info

Failing scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2573984

Please clear the whiteboard if providing a package which builds.
Comment 20 Valent Turkovic 2011-02-12 08:32:29 EST
I checked out FAAC issue and it is not needed for basic functions and transcoding to WebM.

If you try to transcode to flash or H264 then FAAC is needed.

If you don't have FAAC installed via gstreamer-plugins-bad-nonfree package from RPM Fusion then there you get a pop up windows asking you if you would like to search for gstreamer faac component that is missing.

But there is a bug un that search app because it doesn't find gstreamer-plugins-bad-nonfree.

Where and how can I report this bug so that correct missing package is installed?
Comment 21 Rahul Sundaram 2011-02-14 10:53:46 EST
You will have to report it upstream since this package is not in Fedora yet.  You might have to try the latest version first.
Comment 22 Michael Cronenworth 2011-02-14 12:19:38 EST
Created attachment 478671 [details]
Patch for RPM spec for 0.9.7 release

Here's a patch for the RPM spec so you guys can build it against the latest release (released three weeks ago).

This should allow it to build on F14 and rawhide.
Comment 23 Kevin Kofler 2011-02-14 12:48:10 EST
Re FAAC, while the following won't change anything for Fedora because FFmpeg is also not suitable for Fedora, we really should get AAC encoding support through the native FFmpeg AAC encoder enabled in gstreamer-ffmpeg, that way we could support AAC encoding with Free (though patent-encumbered) software. (FAAC is both non-Free and patent-encumbered.)
Comment 24 Kevin Kofler 2011-02-14 12:49:35 EST
(Of course, apps asking for FAAC explicitly would need to be fixed to work with that, too.)
Comment 25 Kevin Kofler 2011-02-14 13:06:28 EST
So I double-checked: gstreamer-ffmpeg actually already supports AAC encoding. I was confused because I was looking for something like encoder-audio/aac, but it's actually called "gstreamer0.10(encoder-audio/mpeg)(mpegversion=4)".

So if Arista cannot encode AAC with just gstreamer-ffmpeg installed (and no gstreamer-plugins-bad-nonfree), then somebody needs to fix Arista (ideally upstream) to support any element providing an encoder for audio/mpeg with mpegversion=4, not just the faac element explicitly.
Comment 26 Valent Turkovic 2011-02-16 05:27:48 EST
What is the reported (if any) anybody send to upstream, please show which issue you reported in ther bugzilla so that I can join in the discussion:
Comment 27 Valent Turkovic 2011-02-16 05:42:35 EST
(In reply to comment #21)
> You will have to report it upstream since this package is not in Fedora yet. 
> You might have to try the latest version first.

But if I have RPM Fusion repo enabled then PackageKit should find gstreamer faack component (gstreamer-plugins-bad-nonfree) right?

Please just point me in the right direction. Should I report this as PackageKit bug because it is not finding it or Arista is looking for wrong package, or is the issue with RPM Fusion package?
Comment 28 Rahul Sundaram 2011-02-16 07:42:09 EST
Do take such discussions offlist.  It has no connection to a review request.
Comment 29 Christoph Wickert 2011-02-16 10:18:55 EST
1. If you set something to NEEDINFO, please set it to somebody particular.
2. How about you file a bug in upstream's tracker?
3. Before filing a bug I'd take a look at the code. Is arista calling PackageKit at all or does it look for another package manager?
Comment 30 Bastien Nocera 2011-03-20 22:44:17 EDT
The only bug that I can see is a missing feature in the Fedora code for providing missing plugins. The gstreamer.prov file in GStreamer doesn't print out names of elements, so that it's impossible to get things to install by element name.
Comment 31 Bastien Nocera 2011-03-20 22:45:05 EDT
Note that I also couldn't find the upstream 0.9.7 sources (in tar.gz or tar.xz).
Comment 32 Bastien Nocera 2011-03-20 23:02:15 EDT
(In reply to comment #30)
> The only bug that I can see is a missing feature in the Fedora code for
> providing missing plugins. The gstreamer.prov file in GStreamer doesn't print
> out names of elements, so that it's impossible to get things to install by
> element name.

Will be fixed in gstreamer-0.10.32-3. Though third-party repos will obviously need to rebuild their gstreamer stack to take advantage of the new "provides" added to the RPM packages.
Comment 33 Kevin Kofler 2011-03-20 23:27:12 EDT
But Arista shouldn't be requiring faac by element name in he first place! It should be looking for an encoder for audio/mpeg with mpegversion=4.

There is at least one encoder which can be used instead of the FAAC one: gstreamer-ffmpeg contains an AAC encoder which is LGPLed, whereas FAAC is non-Free. (Both are patent-encumbered the same way and not covered by a patent license, so patent issues are not a reason to use FAAC over FFmpeg either.)
Comment 34 Kevin Kofler 2011-03-20 23:34:27 EDT
Looking at the upstream code, the problem is that it's using element names instead of codec names to specify what to encode to. All the presets are hardcoding things like x264enc or faac.
Comment 35 Need Real Name 2011-05-30 17:00:31 EDT
patch for 0.9.7 spec file specifies '.xz' tarball ... should that instead be '.gz'?

Also, website only provides 0.9.6 tarball at the time of this comment.
Comment 36 Need Real Name 2011-05-30 18:11:18 EDT
Created attachment 501888 [details]
ugly hacks to get 0.9.6 building with Fedora 15

sorry, no time to do it right, inline sed hacks to fix setup.py on Fedora 15.  After installing, app didn't work the first run, worked on 2nd run.  Shell integration is broken; not sure what a proper fix would be.